From c3c8708c0ddfa1c1e256af46c153ba740606dac3 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Wed, 13 Sep 2023 12:43:49 +0530
Subject: [PATCH 4/4] Revert "Remove dead code in DecodeInterval()"

This reverts commit d6d1430f404386162831bc32906ad174b2007776 since
RESERVE is required to support infinite intervals. 'infinity' is saved
as a RESERVE in datetktbl[], thus required to parse
'infinity'::interval.

Ashutosh Bapat
---
 src/backend/utils/adt/datetime.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/backend/utils/adt/datetime.c b/src/backend/utils/adt/datetime.c
index 5fed7e3dd1..5b8b080a32 100644
--- a/src/backend/utils/adt/datetime.c
+++ b/src/backend/utils/adt/datetime.c
@@ -3582,6 +3582,11 @@ DecodeInterval(char **field, int *ftype, int nf, int range,
 						type = uval;
 						break;
 
+					case RESERV:
+						tmask = (DTK_DATE_M | DTK_TIME_M);
+						*dtype = uval;
+						break;
+
 					default:
 						return DTERR_BAD_FORMAT;
 				}
-- 
2.25.1

